import paho.mqtt.client as mqtt
import datetime
import smbus2
import bme280
bus = smbus2.SMBus(1)
 
#def on_connect(client, userdata, rc):
def on_connect(client,userdata, flags, rc):
    print("Connected with result code "+str(rc))
    client.subscribe("pi/sub2")
 
def on_message(client, userdata, msg):
    data = msg.payload.decode("utf-8")
    print(data)
######################################
#   ここにRaspberryPiの処理を書きます。
######################################
####温度・気圧・湿度の取得
    dat = bme280.sample(bus, 0x76)
    spl = str(dat).split(",")
    temp=spl[2]
    pressure=spl[3]
    humidity=spl[4][:-1]
    now = str(datetime.datetime.now())[:-7]
    data = now + "<br>" + temp + "<br>" + pressure + "<br>" + humidity

    print(data)
    client.publish("cloud/sub2", data, 0) 

client = mqtt.Client(protocol=mqtt.MQTTv311)

client.on_connect = on_connect
client.on_message = on_message
 
client.tls_set("/etc/ssl/certs/ca-certificates.crt")

client.username_pw_set("ユーザー名", "パスワード")
client.connect("driver.cloudmqtt.com", 28607)
 
client.loop_forever()